part of '../flutter_lwa_platform_interface.dart';

enum PROFILE_KEY { NAME, EMAIL, USER_ID, POSTAL_CODE }

const Map<PROFILE_KEY, String> ProfileKeyValues = {
  PROFILE_KEY.NAME: 'name',
  PROFILE_KEY.EMAIL: 'email',
  PROFILE_KEY.USER_ID: 'user_id',
  PROFILE_KEY.POSTAL_CODE: 'postal_code',
};

enum ERROR_TYPE {
  INVALID_TOKEN,
  INVALID_GRANT,
  INVALID_CLIENT,
  INVALID_SCOPE,
  UNAUTHORIZED_CLIENT,
  WEBVIEW_SSL,
  ACCESS_DENIED,
  COM,
  IO,
  BAD_PARAM,
  JSON,
  PARSE,
  SERVER_RESPONSE,
  DATA_STORAGE,
  THREAD,
  DCP_DMS,
  FORCE_UPDATE,
  REVOKE_AUTH,
  AUTH_DIALOG,
  BAD_API_PARAM,
  INIT,
  RESOURCES,
  DIRECTED_ID_NOT_FOUND,
  INVALID_API,
  SECURITY,
  UNKNOWN,
  REGISTRATION,
  MISSING_CODE_CHALLENGE,
  MISSING_TOKEN_FOR_REQUIRED_SCOPES,
}

const Map<ERROR_TYPE, int> ErrorTypeValues = {
  ERROR_TYPE.INVALID_TOKEN: 1,
  ERROR_TYPE.INVALID_GRANT: 2,
  ERROR_TYPE.INVALID_CLIENT: 3,
  ERROR_TYPE.INVALID_SCOPE: 4,
  ERROR_TYPE.UNAUTHORIZED_CLIENT: 5,
  ERROR_TYPE.WEBVIEW_SSL: 6,
  ERROR_TYPE.ACCESS_DENIED: 7,
  ERROR_TYPE.COM: 8,
  ERROR_TYPE.IO: 9,
  ERROR_TYPE.BAD_PARAM: 10,
  ERROR_TYPE.JSON: 11,
  ERROR_TYPE.PARSE: 12,
  ERROR_TYPE.SERVER_RESPONSE: 13,
  ERROR_TYPE.DATA_STORAGE: 14,
  ERROR_TYPE.THREAD: 15,
  ERROR_TYPE.DCP_DMS: 16,
  ERROR_TYPE.FORCE_UPDATE: 17,
  ERROR_TYPE.REVOKE_AUTH: 18,
  ERROR_TYPE.AUTH_DIALOG: 19,
  ERROR_TYPE.BAD_API_PARAM: 20,
  ERROR_TYPE.INIT: 21,
  ERROR_TYPE.RESOURCES: 22,
  ERROR_TYPE.DIRECTED_ID_NOT_FOUND: 23,
  ERROR_TYPE.INVALID_API: 24,
  ERROR_TYPE.SECURITY: 25,
  ERROR_TYPE.UNKNOWN: 26,
  ERROR_TYPE.REGISTRATION: 27,
  ERROR_TYPE.MISSING_CODE_CHALLENGE: 28,
  ERROR_TYPE.MISSING_TOKEN_FOR_REQUIRED_SCOPES: 29
};
